SMTPPING(1)

NAME
smtpping - SMTP benchmarking and measurement tool

SYNOPSIS
smtpping [-dqrJ46C] [-p port] [-w wait] [-c count] [-P parallel] [-s size] [-f file] [-H hello] [-S sender] recipient [@server]

DESCRIPTION
smtpping is a small tool that performs SMTP server delay, delay variation and throughput measurements.

It must be invoked with the recipient email address. Normally, the server should also be specified (prefixed with @); otherwise smtpping will try to find the recipient domain's MX record, falling back on A/AAAA records.

The following options are available:

-4  Use IPv4.

-6  Use IPv6.

-p port
    Specifies the TCP port to use (default: 25).

-w wait
    Time in milliseconds to wait between pings (default: 1000).

-c count
    Number of pings to send (default: unlimited).

-P processes
    Number of parallel worker processes (default: 1). To measure throughput, it's recommended to use -r and -w0 with this option.

-s size
    Ping message size in kilobytes (default: 10). Cannot be used in conjunction with the -f option.

-f file
    Send the specified email file (message/rfc822) instead of a generated message. Cannot be used in conjunction with the -s option.

-H helo
    HELO name (default: localhost.localdomain).

-S sender
    Sender address (default: <>).

-C  Use CHUNKING (BDAT)

-r  Display rate instead of transaction delays. To measure throughput, it's recommended to use -w0 and possibly -P with this option.

-q  Display less verbose output.

-d  Display more verbose output.

AUTHORS
-nosplit The smtpping program was written by Anders Berggren <anders@desh.se> and Erik Lax <erik@datahack.se> for Halon Security AB.